#!/bin/env bash

for f in `find cache/network -name "*zst"`; do
    echo $f;
    zstdmt --test $f;
    if [[ $? != 0 ]]; then
	rm $f;
    fi
done

for f in `find cache/network -name "*zip"`; do
    echo $f;
    unzip -t $f;
    if [[ $? != 0 ]]; then
	rm $f;
    fi
done

